> ## Documentation Index
> Fetch the complete documentation index at: https://hilos-40.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List all flow execution contact

> Lists Flow Execution Contacts.



## OpenAPI

````yaml get /api/flow-execution-contact
openapi: 3.0.3
info:
  title: Hilos API
  version: 1.0.0
  description: >-
    All of the below API endpoints require API key authentication, get your
    token at https://app.hilos.io/dev/api-keys.


    To use this token, send with every request an `Authorization: Token <your
    token>` header.


    Production API server is located at api.hilos.io using HTTPS.


    No versioning info is required for now.
servers:
  - url: https://api.hilos.io
    description: Production Server
security: []
paths:
  /api/flow-execution-contact:
    get:
      tags:
        - Flow Execution Contact
      summary: List Flow Execution Contacts
      description: Lists Flow Execution Contacts.
      operationId: List Flow Execution Contact
      parameters:
        - in: query
          name: contact
          schema:
            type: string
            format: uuid
          description: >-
            A Contact Id to filter the Flow Execution Contacts and only get
            those from that Contact.
          examples:
            OnlyReturnTheFlowExecutionsContactOfThisContact:
              value: a3ff7ee5-0c11-49e2-a0d6-7e316626f7b1
              summary: Only return the Flow Executions Contact of this Contact
        - in: query
          name: execution_steps__step_id
          schema:
            type: string
            format: uuid
        - in: query
          name: flow_execution
          schema:
            type: string
            format: uuid
          description: >-
            A Flow Execution Id to filter the Flow Execution Contacts and only
            get those from that Flow Execution.
          examples:
            OnlyReturnTheFlowExecutionsContactOfThisFlowExecution:
              value: a3ff7ee5-0c11-49e2-a0d6-7e316626f7b1
              summary: Only return the Flow Executions Contact of this Flow Execution
        - in: query
          name: flow_execution__flow
          schema:
            type: string
            format: uuid
          description: >-
            A Flow Id to filter the Flow Execution Contacts and only get those
            from that Flow.
          examples:
            OnlyReturnTheFlowExecutionsContactOfThisFlow:
              value: a3ff7ee5-0c11-49e2-a0d6-7e316626f7b1
              summary: Only return the Flow Executions Contact of this flow
        - in: query
          name: flow_execution__flow_version
          schema:
            type: string
            format: uuid
        - in: query
          name: id
          schema:
            type: string
            format: uuid
        - in: query
          name: is_active
          schema:
            type: boolean
          description: >-
            A boolean param to filter between active/in progress Flow Execution
            Contacs.

             If the parameter is omitted it will respond with Flow Execution Contacts with any `status`.
          examples:
            OnlyReturnTheFlowExecutionsContactThatAreWithStatus`READY`,`RUNNING`Or`PAUSED`.:
              value:
                - 'true'
                - any-truthy-value
                - 1
              summary: >-
                Only return the Flow Executions Contact that are with status
                `READY`, `RUNNING` or `PAUSED`.
            OnlyReturnTheFlowExecutionsContactThatAreWithStatus`CANCELED`Or`COMPLETED`.:
              value:
                - 'false'
                - 0
              summary: >-
                Only return the Flow Executions Contact that are with status
                `CANCELED` or `COMPLETED`.
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: search
          schema:
            type: string
          description: >-
            You can search with the `contact__phone`, `contact__first_name`,
            `contact__last_name`, `contact__email` fields.
          examples:
            ByContactEmail:
              value: erik@hilos.io
              summary: by contact email
            ByContactPhone:
              value: '+525512345678'
              summary: by contact phone
            ByContactLastName:
              value: Smith
              summary: by contact last_name
            ByContactFirstName:
              value: Jonh
              summary: by contact first_name
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedFlowExecutionContactListSimpleList
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedFlowExecutionContactListSimpleList:
      type: object
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/FlowExecutionContactListSimple'
    FlowExecutionContactListSimple:
      type: object
      properties:
        id:
          type: string
          format: uuid
        contact:
          allOf:
            - $ref: '#/components/schemas/ContactReadSimple'
          description: The Contact that the Flow Execution Contact is for.
        status:
          $ref: '#/components/schemas/FlowExecutionContactStatusEnum'
        created_on:
          type: string
          format: date-time
          title: Creado el
        reason:
          type: string
          nullable: true
        flow_name:
          type: string
          readOnly: true
          description: The name of the Flow that the Flow Execution Contact is for.
        is_chatbot_execution:
          type: boolean
          readOnly: true
          description: >-
            Boolean indicating wether the Flow Execution Contact is for a
            Chatbot Flow Execution.
      required:
        - contact
        - flow_name
        - is_chatbot_execution
    ContactReadSimple:
      type: object
      properties:
        first_name:
          type: string
          nullable: true
          maxLength: 100
        last_name:
          type: string
          nullable: true
          maxLength: 100
        email:
          type: string
          format: email
          nullable: true
          maxLength: 254
        meta:
          type: object
          additionalProperties: {}
        canonical_phone:
          type: string
          maxLength: 30
        is_deleted:
          type: boolean
        phone:
          type: string
        id:
          type: string
        created_on:
          type: string
          format: date-time
          title: Creado el
        last_updated_on:
          type: string
          format: date-time
          readOnly: true
          title: Última actualización el
        source:
          type: string
          maxLength: 255
        external_url:
          type: string
          format: uri
          nullable: true
          maxLength: 200
      required:
        - canonical_phone
        - id
        - last_updated_on
        - phone
        - source
    FlowExecutionContactStatusEnum:
      enum:
        - READY
        - RUNNING
        - COMPLETED
        - CANCELED
        - PAUSED
        - EXPIRED
        - FAILED
      type: string
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````